"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns a dedicated function name matching the specified datasource.
 *
 * @param dmmf
 */
function generatePoolType(options) {
    const [datasource] = options.datasources;
    /* istanbul ignore if */
    if (!datasource) {
        throw new Error(`No defined datasource!`);
    }
    switch (datasource.connectorType) {
        case 'sqlite': {
            return 'getSQLitePool';
        }
        case 'mysql': {
            return 'getMySQLPool';
        }
        case 'postgresql': {
            return 'getPostgreSQLPool';
        }
        /* istanbul ignore next */
        default: {
            throw new Error(`Unknown datasource: ${datasource.connectorType}`);
        }
    }
}
exports.generatePoolType = generatePoolType;
//# sourceMappingURL=pool.js.map