import { DMMF } from '@prisma/client/runtime/dmmf-types';
import { Pool } from '../../types';
/**
 * Creates a dmmf specific Internal Pool instance.
 *
 * @param dmmf
 */
export declare function getSQLitePool(dmmf: DMMF.Document, cwd: string): {
    new (options?: SQLitePoolOptions): Pool;
};
export interface SQLitePoolOptions {
    databasePath?: (id: string) => string;
    tmpPrismaSchemaPath?: (id: string) => string;
    pool?: {
        max?: number;
    };
}
/**
 * Allocates a new space in the tmp dir for the db instance.
 *
 * @param id
 */
export declare function getTmpSQLiteDB(id: string): string;
