import { DMMF } from '@prisma/client/runtime';
/**
 * A list of types and their matching DMMF types.
 */
export declare const Scalar: {
    string: string;
    bool: string;
    int: string;
    float: string;
    date: string;
};
/**
 * Determines whether a field scalar type is supported by default or not.
 * @param field
 */
export declare function isSupportedScalar(field: DMMF.Field): boolean;
/**
 * Determines whether a field is a scalar.
 * @param field
 */
export declare function isScalar(field: DMMF.Field): boolean;
