"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * A list of types and their matching DMMF types.
 */
exports.Scalar = {
    string: 'String',
    bool: 'Boolean',
    int: 'Int',
    float: 'Float',
    date: 'DateTime',
};
/**
 * Determines whether a field scalar type is supported by default or not.
 * @param field
 */
function isSupportedScalar(field) {
    return Object.values(exports.Scalar).some(s => s === field.type);
}
exports.isSupportedScalar = isSupportedScalar;
/**
 * Determines whether a field is a scalar.
 * @param field
 */
function isScalar(field) {
    return field.kind === 'scalar';
}
exports.isScalar = isScalar;
//# sourceMappingURL=scalars.js.map