import { CompilerOptions } from 'typescript';
/**
 * Portrays the file system as a tree.
 */
export declare type VirtualFS = {
    [path: string]: string;
};
/**
 * Searches virtual file system for TS files and compiles them.
 * Leaves non-TS files untacked.
 *
 * @param vfs
 */
export declare function compileVFS(vfs: VirtualFS, options: CompilerOptions): Promise<VirtualFS>;
/**
 * Copies files form vfs to specified locations.
 *
 * @param vfs
 */
export declare function copyVFS(vfs: VirtualFS): Promise<void>;
/**
 * Writes virtual file system representation to the file system.
 *
 * @param vfs
 */
export declare function writeToFS(vfs: VirtualFS): Promise<void>;
