import { DMMF } from '@prisma/client/runtime/dmmf-types';
import { Pool } from '../../types';
/**
 * Creates a dmmf specific Internal Pool instance.
 *
 * @param dmmf
 */
export declare function getMySQLPool(dmmf: DMMF.Document, cwd: string): {
    new (options: MySQLPoolOptions): Pool;
};
export interface MySQLConnection {
    host: string;
    port: number;
    user: string;
    password?: string;
    database: string;
}
export interface MySQLPoolOptions {
    connection: (id: string) => MySQLConnection;
    pool?: {
        max?: number;
    };
    tmpPrismaSchemaPath?: (id: string) => string;
}
