import { DataSource } from '@prisma/generator-helper';
import { DMMF } from '@prisma/client/runtime/dmmf-types';
export interface LiftMigrationOptions {
    id: string;
    projectDir: string;
    tmpPrismaSchemaPath: string;
    datasources: DataSource[];
    dmmf: DMMF.Document;
}
/**
 * Migrates the datamodel to the database.
 *
 * @param LiftOptions
 */
export declare function migrateLift({ id, projectDir, datasources, tmpPrismaSchemaPath, dmmf, }: LiftMigrationOptions): Promise<{
    id: string;
    datamodel: string;
}>;
/**
 * Allocates a new space in the tmp dir for the db instance.
 *
 * @param id
 */
export declare function getTmpPrismaSchemaPath(id: string): string;
