/**
 * Fallbacks to default if undefined.
 *
 * @param fallback
 * @param val
 */
export declare function withDefault<T>(fallback: T, val: T | undefined): T;
/**
 * Maps values and filters nulls.
 *
 * @param f
 * @param xs
 */
export declare function filterMap<T, Y>(xs: T[], f: (x: T) => Y | null): Y[];
/**
 * Determines whether a values is null.
 * @param val
 */
export declare function notNull<T>(val: T | null): val is T;
/**
 * Negates the boolean function.
 * @param fn
 */
export declare function not<T, TS extends Array<T>>(fn: (...params: TS) => boolean): (...params: TS) => boolean;
/**
 * Filters keys from an object.
 * @param dict
 * @param fn
 */
export declare function filterKeys<T>(dict: {
    [key: string]: T;
}, fn: (key: string, value: T) => boolean): {
    [key: string]: T;
};
/**
 * Filters keys from an object.
 * @param dict
 * @param fn
 */
export declare function mapEntries<T>(dict: {
    [key: string]: T;
}, fn: (value: T, key: string) => T): {
    [key: string]: T;
};
